type ASSOptions = {
    assText: string;
    video: HTMLVideoElement | string;
    fonts?: Font[];
    zIndex?: number;
    onReady?: () => void;
    logging?: LOGTYPE;
};
type LOGTYPE = 'DISABLE' | 'VERBOSE' | 'DEBUG' | 'WARN';
type FontStyle = {
    ascentOverride: string;
    descentOverride: string;
    display: FontDisplay;
    family: string;
    featureSettings: string;
    lineGapOverride: string;
    stretch: string;
    style: string;
    unicodeRange: string;
    variant: string;
    weight: string;
};
type Font = {
    family: string;
    url: string;
    descriptors?: Partial<FontStyle>;
};
declare class ASS {
    assText: string;
    private video;
    videoElement: HTMLVideoElement | null;
    private renderer;
    private ro;
    private fonts?;
    private zIndex?;
    private onReady?;
    private logging;
    private compiledAss;
    constructor(options: ASSOptions);
    render(): Promise<void>;
    destroy(): void;
    private setCanvasSize;
    private loadFonts;
    private getFontUrl;
    private loadFont;
}

export { type ASSOptions, type Font, type FontStyle, type LOGTYPE, ASS as default };
